<?php

namespace Lc\PietroBundle\Controller\Territory;

use Lc\PietroBundle\Model\Territory;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\SovBundle\Controller\AbstractAdminController;

abstract class TerritoryAdminController extends AbstractAdminController
{
    public static function getEntityFqcn(): string
    {
        return Territory::class;
    }

    public function configureFields(string $pageName): iterable
    {
        return [
            TextField::new('devAlias'),
            TextField::new('name'),
        ];
    }
}
