<?php

namespace Lc\PietroBundle\Controller\Thematic;

use Lc\PietroBundle\Model\Thematic;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\SovBundle\Controller\AbstractAdminController as AbstractCrudController;

abstract class ThematicAdminController extends AbstractCrudController
{
    public static function getEntityFqcn(): string
    {
        return Thematic::class;
    }

    public function configureFields(string $pageName): iterable
    {
        return [
            TextField::new('name')
        ];
    }

}
