<?php

namespace Lc\PietroBundle\Controller\Subthematic;

use Lc\PietroBundle\Model\Subthematic;
use EasyCorp\Bundle\EasyAdminBundle\Field\AssociationField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\SovBundle\Controller\AbstractAdminController;

class SubthematicAdminController extends AbstractAdminController
{
    public static function getEntityFqcn(): string
    {
        return Subthematic::class;
    }

    public function configureFields(string $pageName): iterable
    {
        return [
            TextField::new('name'),
            AssociationField::new('thematic')
                ->setTemplatePath('crud/field/association.html.twig')
        ];
    }

}
