<?php

namespace Lc\PietroBundle\Model;

use Doctrine\ORM\Mapping as ORM;
use Lc\PietroBundle\Doctrine\Extension\DescriptionProjectInterface;
use Lc\PietroBundle\Doctrine\Extension\DescriptionProjectTrait;

/**
 * @ORM\MappedSuperclass()
 */
abstract class DreamModel implements DescriptionProjectInterface, DreamInterface
{
    use DescriptionProjectTrait;

    /**
     * @ORM\ManyToOne(targetEntity="Lc\PietroBundle\Model\IndividualDataInterface", inversedBy="dream")
     */
    private $individualData;


    public function __toString()
    {
        return "Nos rêves";
    }

    public function getIndividualData(): ?IndividualDataInterface
    {
        return $this->individualData;
    }

    public function setIndividualData(?IndividualDataInterface $individualData): self
    {
        $this->individualData = $individualData;

        return $this;
    }

}
